# awesome-alternative-frontends
A curated list of awesome alternative, privacy-friendly frontends.

If anything is missing, feel free to open a pull request!

## YouTube

### Web

#### Invidious

Invidious is an alternative front-end to YouTube.

| Repository     | https://github.com/iv-org/invidious |
| --- | --- |
| Instances list | https://docs.invidious.io/instances/ |
| Javascript required? | No 🟢 |
| API available? | Yes 🟢 |

#### Piped

An alternative privacy-friendly YouTube frontend which is efficient by design. 

| Repository     | https://github.com/TeamPiped/Piped |
| --- | --- |
| Instances list | https://github.com/TeamPiped/Piped/wiki/Instances |
| Javascript required? | Yes 🟥 |
| API available? | Yes 🟢 |

### Desktop

#### FreeTube

An Open Source YouTube app for privacy

| Repository     | https://github.com/FreeTubeApp/FreeTube |
| --- | --- |
| Windows? | Yes 🟢 |
| macOS? | Yes 🟢 |
| Linux? | Yes 🟢 |

#### YouTube-Viewer

Lightweight YouTube client for Linux 

| Repository     | https://github.com/trizen/youtube-viewer |
| --- | --- |
| Windows? | No 🟥 |
| macOS? | Yes 🟥 |
| Linux? | Yes 🟢 |

### Mobile Apps

#### NewPipe

A libre lightweight streaming front-end for Android.

| Repository     | https://github.com/TeamNewPipe/NewPipe |
| --- | --- |
| Android? | Yes 🟢 |
| iOS? | No 🟥 |

<a href="https://f-droid.org/packages/org.schabi.newpipe/"><img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/></a>

#### SkyTube

Copylefted libre / open source YouTube player for Android

| Repository     | https://github.com/SkyTubeTeam/SkyTube |
| --- | --- |
| Android? | Yes 🟢 |
| iOS? | No 🟥 |

<a href="https://f-droid.org/repository/browse/?fdid=free.rm.skytube.oss"><img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-en.svg" alt="Get it on F-Droid" height=80/></a>

#### uYouPlus

uYou+ is a modified version of uYou (made by @MiRO92) with additional features and mainly made for non jailbroken users! 

| Repository     | https://github.com/qnblackcat/uYouPlus |
| --- | --- |
| Android? | No 🟥 |
| iOS? | Yes 🟢 |


## Youtube Music

### Beatbump

Alternative YouTube Music frontend built with Svelte/SvelteKit 🎧

| Repository     | https://github.com/snuffyDev/Beatbump |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | Yes 🟥 |
| API available? | No 🟥 |



## Reddit

### Libreddit

Private front-end for Reddit

| Repository     | https://github.com/spikecodes/libreddit |
| --- | --- |
| Instances list | https://github.com/spikecodes/libreddit#instances= |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |

### Teddit

alternative Reddit front-end focused on privacy https://teddit.net

| Repository     | https://github.com/teddit-net/teddit |
| --- | --- |
| Instances list | https://github.com/teddit-net/teddit#instances= |
| Javascript required? | No 🟢 |
| API available? | Yes 🟢 |


## Twitter

### Nitter

Alternative Twitter front-end

| Repository     | https://github.com/zedeus/nitter |
| --- | --- |
| Instances list | https://github.com/zedeus/nitter/wiki/Instances |
| Javascript required? | No 🟢 |
| API available? | No 🟥 (Included in it's roadmap, https://github.com/zedeus/nitter#roadmap=)  |


## Instagram

**Instagram is known to aggresively block alternative frontends. Please help the community by hosting your own service**

### Bibliogram

An alternative front-end for Instagram.

| Repository     | https://sr.ht/~cadence/bibliogram/ |
| --- | --- |
| Instances list | https://git.sr.ht/~cadence/bibliogram-docs/tree/master/docs/Instances.md |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |


## Google

### Whoogle

A self-hosted, ad-free, privacy-respecting metasearch engine

| Repository     | https://github.com/benbusby/whoogle-search |
| --- | --- |
| Instances list | https://github.com/benbusby/whoogle-search#public-instances= |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |

### LibreX

A privacy respecting free as in freedom meta search engine 

| Repository     | https://github.com/hnhx/librex |
| --- | --- |
| Instances list | https://github.com/hnhx/librex#online-instances= |
| Javascript required? | No 🟢 |
| API available? | Yes 🟢 |


## Google Translate

### Lingva

Alternative front-end for Google Translate 

| Repository     | https://github.com/TheDavidDelta/lingva-translate |
| --- | --- |
| Instances list | https://github.com/TheDavidDelta/lingva-translate#instances=|
| Javascript required? | Yes 🟥 |
| API available? | Yes 🟢 |

### SimplyTranslate

Web Interface for SimplyTranslate built with python and quart https://simplytranslate.org

| Repository     | https://codeberg.org/SimpleWeb/SimplyTranslate-Web |
| --- | --- |
| Instances list | https://simple-web.org/projects/simplytranslate.html |
| Javascript required? | Yes 🟥 |
| API available? | Yes 🟢 |


## TikTok

### ProxiTok

Open source alternative frontend for TikTok made using PHP 

| Repository     | https://github.com/pablouser1/ProxiTok |
| --- | --- |
| Instances list | https://github.com/pablouser1/ProxiTok/wiki/Public-instances |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |


## Imgur

### Rimgo

Self-hosted frontend for imgur. Rewritten in Go. https://i.bcow.xyz

| Repository     | https://codeberg.org/video-prize-ranch/rimgo |
| --- | --- |
| Instances list | https://codeberg.org/video-prize-ranch/rimgo#instances |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |

### Rimgu

Self-hosted frontend for imgur

| Repository     | https://codeberg.org/3np/rimgu |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | Yes 🟢 |

### Rimgu

Self-hosted frontend for imgur

| Repository     | https://codeberg.org/3np/rimgu |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |

### Omgur

Private front-end for Imgur

| Repository     | https://git.geraldwu.com/gerald/omgur |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | No 🟥 (Included in it's roadmap, https://git.geraldwu.com/gerald/omgur#far-future-roadmap) |

### Imgrs

Private front-end for Imgur

| Repository     | https://git.geraldwu.com/gerald/imgrs |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | No 🟥 (Included in it's roadmap, https://git.geraldwu.com/gerald/imgrs#far-future-roadmap) |


## Mastodon

### Pinafore

Alternative web client for Mastodon 

| Repository     | https://github.com/nolanlawson/pinafore |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | Yes 🟥 |
| API available? | No 🟥 |


## Medium

### Scribe

An Alternative Medium Frontend

| Repository     | https://sr.ht/~edwardloveall/scribe/ |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |


## Reuters

### Neuters

Reuters Redirect and Proxy 

| Repository     | https://github.com/HookedBehemoth/neuters |
| --- | --- |
| Instances list | Not available 🟥 |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |


## Wikipedia

### Wikiless

A free open source alternative Wikipedia front-end focused on privacy

| Repository     | https://codeberg.org/orenom/wikiless |
| --- | --- |
| Instances list | https://codeberg.org/orenom/wikiless#instances |
| Javascript required? | No 🟢 |
| API available? | No 🟥 |


## Odysee

### Librarian

An alternative frontend for LBRY/Odysee.

| Repository     | https://codeberg.org/librarian/librarian |
| --- | --- |
| Instances list | https://codeberg.org/librarian/librarian#instances |
| Javascript required? | Yes 🟥 for video playing; No 🟢 for everything else |
| API available? | No 🟥 |



more following (just wanted to make a general layout)...
